Create a dedicated server

POST/v1/hosts/dedicated_servers

This POST request to the /v1/hosts/dedicated_servers endpoint will create a new dedicated server with a specified configuration.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers" \  -H "Content-Type: application/json" \  -d '{    "server_model_id": 66,    "location_id": 16,    "ram_size": 2,    "uplink_models": {      "public": {        "id": 71,        "bandwidth_model_id": 72      },      "private": {        "id": 73      }    },    "drives": {      "slots": [        {          "position": 1,          "drive_model_id": 74        },        {          "position": 2,          "drive_model_id": 74        }      ],      "layout": [        {          "slot_positions": [            1,            2          ],          "raid": 1,          "partitions": [            {              "target": "/boot",              "size": 500,              "fill": false,              "fs": "ext4"            },            {              "target": "swap",              "size": 4096,              "fill": false            },            {              "target": "/",              "size": 10140,              "fill": true,              "fs": "ext4"            }          ]        }      ]    },    "ipv6": true,    "hosts": [      {        "hostname": "example.aa",        "public_ipv4_network_id": "open5Rd7",        "private_ipv4_network_id": "4zbqx2ap",        "labels": {          "environment": "production",          "service": "my-web-app",          "example.com/project": "my-project",          "example.com/owner": "my-team"        }      },      {        "hostname": "example.bb",        "labels": {          "environment": "production",          "service": "my-web-app",          "example.com/project": "my-project",          "example.com/owner": "my-team"        }      }    ],    "operating_system_id": 4  }'
[  {    "id": "YQdJ2dOG",    "rack_id": null,    "title": "example.aa",    "location_id": 16,    "location_code": "location31",    "status": "init",    "operational_status": "provisioning",    "power_status": "unknown",    "configuration": "Dell chassis-9018 / 2 GB RAM / ",    "private_ipv4_address": "10.128.1.4",    "public_ipv4_address": "100.0.8.4",    "lease_start_at": null,    "scheduled_release_at": null,    "type": "dedicated_server",    "oob_ipv4_address": null,    "configuration_details": {      "ram_size": 2,      "bandwidth_id": 72,      "bandwidth_name": "20000 GB",      "server_model_id": 66,      "public_uplink_id": 71,      "private_uplink_id": 73,      "server_model_name": "server-model-430",      "public_uplink_name": "Public 1 Gbps without redundancy",      "operating_system_id": 4,      "private_uplink_name": "Private 1 Gbps without redundancy",      "operating_system_full_name": "CentOS 7 x86_64"    },    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "ipxe_config": null,    "userdata_sha256": null,    "created_at": "2026-05-28T06:55:02Z",    "updated_at": "2026-05-28T06:55:02Z"  },  {    "id": "y1aKReQG",    "rack_id": null,    "title": "example.bb",    "location_id": 16,    "location_code": "location31",    "status": "init",    "operational_status": "provisioning",    "power_status": "unknown",    "configuration": "Dell chassis-9018 / 2 GB RAM / ",    "private_ipv4_address": null,    "public_ipv4_address": null,    "lease_start_at": null,    "scheduled_release_at": null,    "type": "dedicated_server",    "oob_ipv4_address": null,    "configuration_details": {      "ram_size": 2,      "bandwidth_id": 72,      "bandwidth_name": "20000 GB",      "server_model_id": 66,      "public_uplink_id": 71,      "private_uplink_id": 73,      "server_model_name": "server-model-430",      "public_uplink_name": "Public 1 Gbps without redundancy",      "operating_system_id": 4,      "private_uplink_name": "Private 1 Gbps without redundancy",      "operating_system_full_name": "CentOS 7 x86_64"    },    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    },    "ipxe_config": null,    "userdata_sha256": null,    "created_at": "2026-05-28T06:55:02Z",    "updated_at": "2026-05-28T06:55:02Z"  }]
{  "message": "Payment failure",  "code": "PAYMENT_REQUIRED"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "server_model_id": "server model doesn't exist",    "uplink_models.public.id": "uplink model doesn't exist",    "uplink_models.private.id": "uplink model doesn't exist"  }}